Bug 150049 - sshd segv when using pam_ldap and multiple ssh client windows
sshd segv when using pam_ldap and multiple ssh client windows
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
3.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 17:34 EST by Steve Slater
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 14:45:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Slater 2005-03-01 17:34:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:


I get a segv when I open multiple terminal windows. I use the SSH
client from SSH Communications which allows you to fire off multiple
terminal windows within the same one connection. 

This ONLY happens with using pam_ldap. I have tested with the
openssh-3.6.1p2-33.30.3.test RPM as well and still get this behavior. 

This ONLY happens if I connect to the server as root. If I connect as
a non-priv users, everything works fine.

without privilege separation: sshd crashes when I open the 3rd window
with privilege separation: 2nd window causes segv

An strace shows a SEGV and I can send traces of whatever. 

Version-Release number of selected component (if applicable):
openssh-3.6.1p2-33.30.3

How reproducible:
Always

Steps to Reproduce:
1. use authconfig to enable ldap accounts and auth
2. ssh in as root with windoze GUI client
3. launch multiple windows, terminal or sftp.
    

Actual Results:  strace shows sigsegv

Expected Results:  work normally

Additional info:
Comment 1 Tomas Mraz 2005-03-03 03:33:15 EST
Could you attach the strace log and could you get a backtrace of the
SEGV possibly with installed openssh-debuginfo package?
Comment 2 Tomas Mraz 2005-03-15 03:51:57 EST
Can you check if nss_ldap-207-15 from
http://people.redhat.com/nalin/test/ resolves this?
Comment 3 Tomas Mraz 2005-05-16 14:45:55 EDT
The bug report is incomplete. No response from reporter.

Note You need to log in before you can comment on or make changes to this bug.